/// <reference path="../../../../../src/@types/@kano/common/index.d.ts" />
import { Plugin } from '../plugin.js';
import { Alert, IDialogAlertOptions } from './alert.js';
import { Confirm, IDialogConfirmOptions } from './confirm.js';
import { Dialog } from './dialog.js';
import Editor from '../editor.js';
import DialogProvider from './dialog-provider.js';
export declare class Dialogs extends Plugin {
    private editor?;
    private _onDidLayout;
    readonly onDidLayout: import("@kano/common/index.js").IEvent<void>;
    onInstall(editor: Editor): void;
    registerAlert(opts: IDialogAlertOptions): Alert;
    registerConfirm(opts: IDialogConfirmOptions): Confirm;
    registerDialog(provider: DialogProvider): Dialog;
    dispose(): void;
}
export default Dialogs;
